Subject: Re: [Jmap] Working group last call: draft-ietf-jmap-mdn-03

From: Raphael OUAZANA <[email-masked]>
Date: Mon, 16 Dec 2019 16:58:53 +0000

Thank you all for your remarks.

I uploaded a new version of the draft. I have taken care of all the comments that were made, thank you very much for the suggestions, it was really helpful.

Regards,

Raphaël.

Le 22 novembre 2019 06:19, de [email-masked]

Raphael,

With my chair hat on - I'm happy for you to either issue drafts with updates during the last call period, or wait until the end and issue another draft containing all the feedback at the end of the last call period.

Either way, I'm happy to submit to publication after this last call without doing another last call - so long as those who have given feedback during this time agree that it's been addressed in the final draft!

Cheers,

Bron.

On Fri, Nov 22, 2019, at 15:51, Neil Jenkins wrote:

Overall I think this doc is good. A few nits:

o forEmailId: "String" Email Id of the received email this MDN is
relative to.

This needs to be nullable, as described in MDN/parse.

o originalMessageID: "String|null" (server-set)

I think this should be originalMessageId (lowercase d on the end) for consistency.

2.1. MDN/set

Standard "/set" method as described in [RFC8620] where only the
_create_ parameter is supported.

This is not quite right: the "accountId" and "ifInState" arguments are fine. I think this text should say something like:

Only create is supported; any attempt to update/destroy MUST be rejected with a "forbidden" SetError.

And as a general comment, in the final versions of RFC8620/8621 we cleaned up the formatting so it worked better in the plain text version of the RFCs; I suggest adopting the same. So we use "quote" for a property name reference (not _underscore_) and remove the *asterisks* around the property names in the definitions.

Cheers,

Neil.

_______________________________________________

Jmap mailing list

[email-masked]

https://www.ietf.org/mailman/listinfo/jmap

--

Bron Gondwana, CEO, Fastmail Pty Ltd

[email-masked]